## audiocd-kio 20.12.3

=== debian/changelog ===
audiocd-kio (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:14:23 +0000

audiocd-kio (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:48:49 +0000

audiocd-kio (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:06:54 +0000

=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               libasound2-dev,
               libcdparanoia-dev,
               libflac-dev,
               libkf5cddb-dev (>= 4:20.12.3~),
               libkf5compactdisc-dev (>= 4:20.12.3~),
               libkf5config-dev (>= 5.68.0~),
               libkf5doctools-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5kcmutils-dev (>= 5.68.0~),
               libkf5kio-dev (>= 5.68.0~),
               libogg-dev,
               libphonon4qt5-dev,
               libvorbis-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio.git

Package: kio-audiocd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lame
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other
 formats.
 .
 This package is part of the KDE multimedia module.

Package: kio-audiocd-dev
Section: devel
Architecture: any
Depends: kio-audiocd (= ${binary:Version}),
         ${misc:Depends},
Description: development files for the audio CD KIO plugin
 This package contains development files for building plugins for the audio CD
 KIO plugin.
 .
 This package is part of the KDE multimedia module.

## audiocd-kio 21.08.1

=== debian/changelog ===
audiocd-kio (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:29:10 +0100

audiocd-kio (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:57:06 +0100

audiocd-kio (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:49:28 +0100

audiocd-kio (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:29:51 +0100

audiocd-kio (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:37:53 +0100

audiocd-kio (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:33:59 +0100

audiocd-kio (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:01:00 +0100

audiocd-kio (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:28:39 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkf5cddb-dev (>= 4:20.12.3~),
-               libkf5compactdisc-dev (>= 4:20.12.3~),
+               libkf5cddb-dev (>= 4:21.08.1~),
+               libkf5compactdisc-dev (>= 4:21.08.1~),
                libkf5config-dev (>= 5.68.0~),
                libkf5doctools-dev (>= 5.68.0~),
                libkf5i18n-dev (>= 5.68.0~),

## audiocd-kio 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(audiocd VERSION "5.0.0")

set(QT_MIN_VERSION "5.15.0")
set(KF_MIN_VERSION "5.83.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)

include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(CMakePushCheckState)
include(GenerateExportHeader)
include(CheckStructHasMember)
include(FeatureSummary)
include(KDEGitCommitHooks)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Widgets)

find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Config
    I18n
    DocTools
    KIO
    KCMUtils
)
find_package(KF5Cddb)
set_package_properties(KF5Cddb PROPERTIES
    DESCRIPTION "KF5 branch for CDDB library"
    URL "https://commits.kde.org/libkcddb"
    TYPE REQUIRED
    PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet."
)
find_package(KF5CompactDisc)
set_package_properties(KF5CompactDisc PROPERTIES
    DESCRIPTION "KCompactDisc library"
    URL "https://commits.kde.org/libkcompactdisc"
    TYPE REQUIRED
    PURPOSE "libkcompactdisc is used to access CD drives."
)

ecm_setup_version(${audiocd_VERSION}
    VARIABLE_PREFIX AUDIOCDPLUGINS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/audiocdplugins_version.h"
    SOVERSION 5
)

find_package(Cdparanoia REQUIRED)

cmake_push_check_state()
set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${CDPARANOIA_INCLUDE_DIR})
check_struct_has_member("struct cdrom_drive" "ioctl_device_name" "cdda_interface.h" CDDA_IOCTL_DEVICE_EXISTS)
cmake_pop_check_state()
if(CDDA_IOCTL_DEVICE_EXISTS)
    set(HAVE_CDDA_IOCTL_DEVICE 1)
else()
    set(HAVE_CDDA_IOCTL_DEVICE 0)
endif()
execute_process(
    COMMAND sed -e "s|cdda_private_data_t \\*private;|cdda_private_data_t \\*private_data;|g"
    # The next line should be removed if strerror_tr will be used somewhere
    COMMAND sed -e "/static\ char/,/}\;/d"
    INPUT_FILE ${CDPARANOIA_INCLUDE_DIR}/cdda_interface.h
    OUTPUT_FILE ${CMAKE_CURRENT_BINARY_DIR}/cdda_interface.hpp
    RESULT_VARIABLE CDDA_INTERFACE_EDIT_ERROR
)
if (CDDA_INTERFACE_EDIT_ERROR)
    message(STATUS "Fixing cdda_interface.h for C++ failed with exit code ${CDDA_INTERFACE_EDIT_ERROR}")
endif()

configure_file(config-audiocd.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-audiocd.h)

#############################
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055000
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
    -DQT_NO_FOREACH
    -DQT_NO_KEYWORDS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_STRICT_ITERATORS
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
)

add_subdirectory(plugins)
add_subdirectory(kcmaudiocd)
add_subdirectory(data)
add_subdirectory(doc)

add_library(kio_audiocd MODULE)
target_sources(kio_audiocd PRIVATE
    audiocd.cpp
)

ecm_qt_declare_logging_category(kio_audiocd
    HEADER audiocd_kio_debug.h
    IDENTIFIER AUDIOCD_KIO_LOG
    CATEGORY_NAME kf.kio.slaves.audiocd
    OLD_CATEGORY_NAMES kf5.kio.audiocd
    DEFAULT_SEVERITY Warning
    DESCRIPTION "audiocd KIO slave"
    EXPORT AUDIOCD
)

set_target_properties(kio_audiocd PROPERTIES OUTPUT_NAME "audiocd")

target_link_libraries(kio_audiocd
    audiocdplugins
    KF5::CompactDisc
    KF5::I18n
    Qt::Widgets
    Cdparanoia::Cdparanoia
)

install(TARGETS kio_audiocd  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)

ecm_qt_install_logging_categories(
    EXPORT AUDIOCD
    FILE kio_audiocd.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ki18n_install(po)
kdoctools_install(po)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== doc/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kioslave5/audiocd)

=== plugins/flac/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"audiocd_encoder_flac\")

add_library(audiocd_encoder_flac SHARED)

target_sources(audiocd_encoder_flac PRIVATE
    encoderflac.cpp
)

ki18n_wrap_ui(audiocd_encoder_flac encoderflacconfig.ui)

kconfig_add_kcfg_files(audiocd_encoder_flac audiocd_flac_encoder.kcfgc)

target_include_directories(audiocd_encoder_flac
    PRIVATE
        ${CMAKE_BINARY_DIR}
)

target_link_libraries(audiocd_encoder_flac 
    audiocdplugins
    KF5::I18n
    Qt::Widgets
    FLAC::FLAC
)

install(TARGETS audiocd_encoder_flac  DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES audiocd_flac_encoder.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== plugins/opus/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"audiocd_encoder_opus\")

add_library(audiocd_encoder_opus SHARED)

target_sources(audiocd_encoder_opus PRIVATE
    encoderopus.cpp
)

ki18n_wrap_ui(audiocd_encoder_opus encoderopusconfig.ui)

kconfig_add_kcfg_files(audiocd_encoder_opus audiocd_opus_encoder.kcfgc)

target_include_directories(audiocd_encoder_opus
    PRIVATE
        ${CMAKE_BINARY_DIR}
)

target_link_libraries(audiocd_encoder_opus
    audiocdplugins
    KF5::Cddb
    KF5::I18n
    Qt::Widgets
)

install(TARGETS audiocd_encoder_opus  DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES audiocd_opus_encoder.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR})

=== debian/changelog ===
audiocd-kio (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 14:25:10 +0100

audiocd-kio (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Fix list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 18 Aug 2021 08:24:16 +0900

audiocd-kio (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 09:28:39 +0900

=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.83.0~),
               gettext,
               libasound2-dev,
               libcdparanoia-dev,
               libflac-dev,
               libkf5cddb-dev,
               libkf5compactdisc-dev,
               libkf5config-dev (>= 5.83.0~),
               libkf5doctools-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5kcmutils-dev (>= 5.83.0~),
               libkf5kio-dev (>= 5.83.0~),
               libogg-dev,
               libphonon4qt5-dev,
               libvorbis-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio.git

Package: kio-audiocd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lame
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other
 formats.
 .
 This package is part of the KDE multimedia module.

Package: kio-audiocd-dev
Section: devel
Architecture: any
Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends}
Description: development files for the audio CD KIO plugin
 This package contains development files for building plugins for the audio CD
 KIO plugin.
 .
 This package is part of the KDE multimedia module.

## audiocd-kio 22.08.1

=== debian/changelog ===
audiocd-kio (4:22.08.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Add copyright information for app metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 03 Oct 2022 16:15:40 +0200

=== debian/control ===
--- 
+++ 
@@ -8,24 +8,24 @@
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.83.0~),
+               extra-cmake-modules (>= 5.96.0~),
                gettext,
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkf5cddb-dev,
+               libkf5cddb-dev (>= 4:22.04.0~),
                libkf5compactdisc-dev,
-               libkf5config-dev (>= 5.83.0~),
-               libkf5doctools-dev (>= 5.83.0~),
-               libkf5i18n-dev (>= 5.83.0~),
-               libkf5kcmutils-dev (>= 5.83.0~),
-               libkf5kio-dev (>= 5.83.0~),
+               libkf5config-dev (>= 5.96.0~),
+               libkf5doctools-dev (>= 5.96.0~),
+               libkf5i18n-dev (>= 5.96.0~),
+               libkf5kcmutils-dev (>= 5.96.0~),
+               libkf5kio-dev (>= 5.96.0~),
                libogg-dev,
                libphonon4qt5-dev,
                libvorbis-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio

## audiocd-kio 22.12.0

=== debian/changelog ===
audiocd-kio (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:17 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                libphonon4qt5-dev,
                libvorbis-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.15.0~),
+               qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://www.kde.org/

## audiocd-kio 22.12.1

=== debian/changelog ===
audiocd-kio (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:58:20 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libvorbis-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio

## audiocd-kio 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 project(audiocd VERSION "5.0.0")
 
-set(QT_MIN_VERSION "5.15.0")
-set(KF_MIN_VERSION "5.83.0")
+set(QT_MIN_VERSION "5.15.2")
+set(KF_MIN_VERSION "5.96.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
@@ -21,7 +21,10 @@
 include(FeatureSummary)
 include(KDEGitCommitHooks)
 
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Widgets)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Widgets)
+if (QT_MAJOR_VERSION STREQUAL 6)
+    find_package(Qt6 REQUIRED COMPONENTS Core5Compat)
+endif()
 
 find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Config
@@ -30,7 +33,7 @@
     KIO
     KCMUtils
 )
-find_package(KF5Cddb)
+find_package(KF5Cddb 5.1)
 set_package_properties(KF5Cddb PROPERTIES
     DESCRIPTION "KF5 branch for CDDB library"
     URL "https://commits.kde.org/libkcddb"
@@ -77,22 +80,11 @@
 configure_file(config-audiocd.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-audiocd.h)
 
 #############################
-set(CMAKE_CXX_STANDARD 17)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
 add_definitions(
-    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F02
     -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
-    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055000
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800
     -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
-    -DQT_NO_FOREACH
-    -DQT_NO_KEYWORDS
-    -DQT_NO_URL_CAST_FROM_STRING
-    -DQT_NO_CAST_FROM_ASCII
-    -DQT_NO_CAST_TO_ASCII
-    -DQT_NO_CAST_FROM_BYTEARRAY
-    -DQT_STRICT_ITERATORS
-    -DQT_USE_QSTRINGBUILDER
-    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
 )
 
 add_subdirectory(plugins)
@@ -102,16 +94,16 @@
 
 add_library(kio_audiocd MODULE)
 target_sources(kio_audiocd PRIVATE
-    audiocd.cpp
+    audiocd.cpp audiocd.h
 )
 
 ecm_qt_declare_logging_category(kio_audiocd
     HEADER audiocd_kio_debug.h
     IDENTIFIER AUDIOCD_KIO_LOG
-    CATEGORY_NAME kf.kio.slaves.audiocd
-    OLD_CATEGORY_NAMES kf5.kio.audiocd
+    CATEGORY_NAME kf.kio.workers.audiocd
+    OLD_CATEGORY_NAMES kf5.kio.audiocd kf.kio.slaves.audiocd
     DEFAULT_SEVERITY Warning
-    DESCRIPTION "audiocd KIO slave"
+    DESCRIPTION "audiocd KIO worker"
     EXPORT AUDIOCD
 )
 
@@ -124,8 +116,11 @@
     Qt::Widgets
     Cdparanoia::Cdparanoia
 )
+if (TARGET Qt6::Core5Compat)
+    target_link_libraries(kio_audiocd Qt6::Core5Compat)
+endif()
 
-install(TARGETS kio_audiocd  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)
+install(TARGETS kio_audiocd  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/kio)
 
 ecm_qt_install_logging_categories(
     EXPORT AUDIOCD

=== kcmaudiocd/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcmaudiocd\")

add_library(kcm_audiocd MODULE)

target_sources(kcm_audiocd PRIVATE
    kcmaudiocd.cpp kcmaudiocd.h
)

ki18n_wrap_ui(kcm_audiocd audiocdconfig.ui)

target_include_directories(kcm_audiocd
    PRIVATE
        ${CMAKE_BINARY_DIR}
)

target_link_libraries(kcm_audiocd
    audiocdplugins 
    KF5::KCMUtils
    KF5::I18n
)

install(TARGETS kcm_audiocd  DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES audiocd.desktop  DESTINATION  ${KDE_INSTALL_KSERVICESDIR})

########### add handbook ################

add_subdirectory(doc)

=== plugins/opus/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 add_library(audiocd_encoder_opus SHARED)
 
 target_sources(audiocd_encoder_opus PRIVATE
-    encoderopus.cpp
+    encoderopus.cpp encoderopus.h
 )
 
 ki18n_wrap_ui(audiocd_encoder_opus encoderopusconfig.ui)

=== plugins/vorbis/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"audiocd_encoder_vorbis\")

add_library(audiocd_encoder_vorbis SHARED)

target_sources(audiocd_encoder_vorbis PRIVATE
    encodervorbis.cpp encodervorbis.h
)

ki18n_wrap_ui(audiocd_encoder_vorbis encodervorbisconfig.ui)

kconfig_add_kcfg_files(audiocd_encoder_vorbis audiocd_vorbis_encoder.kcfgc)

target_link_libraries(audiocd_encoder_vorbis 
    OGGVORBIS::vorbis
    audiocdplugins
    KF5::Cddb
    KF5::I18n
    Qt::Widgets
)

install(TARGETS audiocd_encoder_vorbis  DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(FILES audiocd_vorbis_encoder.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR})

=== debian/changelog ===
audiocd-kio (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:09 +0100

=== debian/control ===
--- 
+++ 
@@ -33,8 +33,8 @@
 
 Package: kio-audiocd
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: lame
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: lame,
 Description: transparent audio CD access for applications using the KDE Platform
  This package includes the audiocd KIO plugin, which allows applications using
  the KDE Platform to read audio from CDs and automatically convert it into other
@@ -45,7 +45,7 @@
 Package: kio-audiocd-dev
 Section: devel
 Architecture: any
-Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends}
+Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends},
 Description: development files for the audio CD KIO plugin
  This package contains development files for building plugins for the audio CD
  KIO plugin.

## audiocd-kio 23.08.1

=== debian/changelog ===
audiocd-kio (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:54:13 +0100

audiocd-kio (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:48:58 +0100

audiocd-kio (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:29:08 +0100

audiocd-kio (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:41:08 +0100

audiocd-kio (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Update installed files
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:52:58 +0100

audiocd-kio (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:33:14 +0000

audiocd-kio (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:09:04 -0600

audiocd-kio (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:10:30 +0000

audiocd-kio (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 26 Dec 2022 19:18:42 +0000

audiocd-kio (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:04:04 +0000

audiocd-kio (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:00:30 +0000

audiocd-kio (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:46:50 +0000

audiocd-kio (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:04:15 +0000

audiocd-kio (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:34:54 +0100

audiocd-kio (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:45:19 +0100

audiocd-kio (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:22:30 +0100

audiocd-kio (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:56:01 +0100

audiocd-kio (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:52:45 +0100

audiocd-kio (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:42:37 +0100

audiocd-kio (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:05:24 +0000

audiocd-kio (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:11:48 +0000

audiocd-kio (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:19:47 +0000

audiocd-kio (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:16:33 +0000

audiocd-kio (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:01:04 +0000

audiocd-kio (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:12:08 +0000

audiocd-kio (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:21:52 +0000

audiocd-kio (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:35:21 +0000

=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.96.0~),
               gettext,
               libasound2-dev,
               libcdparanoia-dev,
               libflac-dev,
               libkf5cddb-dev (>= 4:23.08.1~),
               libkf5compactdisc-dev (>= 4:23.08.1~),
               libkf5config-dev (>= 5.96.0~),
               libkf5doctools-dev (>= 5.96.0~),
               libkf5i18n-dev (>= 5.96.0~),
               libkf5kcmutils-dev (>= 5.96.0~),
               libkf5kio-dev (>= 5.96.0~),
               libogg-dev,
               libphonon4qt5-dev,
               libvorbis-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio

Package: kio-audiocd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lame
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other
 formats.
 .
 This package is part of the KDE multimedia module.

Package: kio-audiocd-dev
Section: devel
Architecture: any
Depends: kio-audiocd (= ${binary:Version}),
         ${misc:Depends},
Description: development files for the audio CD KIO plugin
 This package contains development files for building plugins for the audio CD
 KIO plugin.
 .
 This package is part of the KDE multimedia module.

## audiocd-kio 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(audiocd VERSION "5.0.0")
+project(audiocd VERSION "5.1.0")
 
 set(QT_MIN_VERSION "5.15.2")
 set(KF_MIN_VERSION "5.96.0")
@@ -20,39 +20,58 @@
 include(CheckStructHasMember)
 include(FeatureSummary)
 include(KDEGitCommitHooks)
+include(ECMDeprecationSettings)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Widgets)
 if (QT_MAJOR_VERSION STREQUAL 6)
     find_package(Qt6 REQUIRED COMPONENTS Core5Compat)
 endif()
 
-find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Config
     I18n
     DocTools
     KIO
     KCMUtils
 )
-find_package(KF5Cddb 5.1)
-set_package_properties(KF5Cddb PROPERTIES
-    DESCRIPTION "KF5 branch for CDDB library"
-    URL "https://commits.kde.org/libkcddb"
-    TYPE REQUIRED
-    PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet."
-)
-find_package(KF5CompactDisc)
-set_package_properties(KF5CompactDisc PROPERTIES
-    DESCRIPTION "KCompactDisc library"
-    URL "https://commits.kde.org/libkcompactdisc"
-    TYPE REQUIRED
-    PURPOSE "libkcompactdisc is used to access CD drives."
-)
-
-ecm_setup_version(${audiocd_VERSION}
-    VARIABLE_PREFIX AUDIOCDPLUGINS
-    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/audiocdplugins_version.h"
-    SOVERSION 5
-)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    find_package(KCompactDisc6)
+    set_package_properties(KCompactDisc6 PROPERTIES
+        DESCRIPTION "KCompactDisc library"
+        URL "https://commits.kde.org/libkcompactdisc"
+        TYPE REQUIRED
+        PURPOSE "libkcompactdisc is used to access CD drives."
+    )
+    find_package(KCddb6 5.1)
+    set_package_properties(KCddb6 PROPERTIES
+        DESCRIPTION "Library used to retrieve audio CD metadata from the Internet"
+        URL "https://commits.kde.org/libkcddb"
+        TYPE REQUIRED
+        PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet."
+    )
+else()
+    find_package(KF5CompactDisc)
+    set_package_properties(KF5CompactDisc PROPERTIES
+        DESCRIPTION "KCompactDisc library"
+        URL "https://commits.kde.org/libkcompactdisc"
+        TYPE REQUIRED
+        PURPOSE "libkcompactdisc is used to access CD drives."
+    )
+    find_package(KF5Cddb 5.1)
+    set_package_properties(KF5Cddb PROPERTIES
+        DESCRIPTION "Library used to retrieve audio CD metadata from the Internet"
+        URL "https://commits.kde.org/libkcddb"
+        TYPE REQUIRED
+        PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet."
+    )
+endif()
 
 find_package(Cdparanoia REQUIRED)
 
@@ -80,13 +99,9 @@
 configure_file(config-audiocd.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-audiocd.h)
 
 #############################
-add_definitions(
-    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F02
-    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
-    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800
-    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
-)
-
+ecm_set_disabled_deprecation_versions(QT 6.4
+    KF 5.101.0
+    )
 add_subdirectory(plugins)
 add_subdirectory(kcmaudiocd)
 add_subdirectory(data)
@@ -111,13 +126,14 @@
 
 target_link_libraries(kio_audiocd
     audiocdplugins
-    KF5::CompactDisc
-    KF5::I18n
+    KF${KF_MAJOR_VERSION}::I18n
     Qt::Widgets
     Cdparanoia::Cdparanoia
 )
-if (TARGET Qt6::Core5Compat)
-    target_link_libraries(kio_audiocd Qt6::Core5Compat)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    target_link_libraries(kio_audiocd Qt6::Core5Compat KCompactDisc6)
+else()
+    target_link_libraries(kio_audiocd KF5::CompactDisc)
 endif()
 
 install(TARGETS kio_audiocd  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/kio)

=== plugins/CMakeLists.txt ===
find_package(FLAC)
if(FLAC_FOUND)
    add_subdirectory(flac)
endif(FLAC_FOUND)

find_package(OggVorbis)
if(OGGVORBIS_FOUND AND HAVE_LIBVORBISENC2)
    add_subdirectory(vorbis)
endif(OGGVORBIS_FOUND AND HAVE_LIBVORBISENC2)

add_subdirectory(wav)
add_subdirectory(lame)
add_subdirectory(opus)

########### next target ###############

set(AUDIOCDPLUGINS_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/audiocdplugins")

ecm_setup_version(PROJECT
    VARIABLE_PREFIX AUDIOCDPLUGINS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/audiocdplugins_version.h"
    SOVERSION 5
)

add_library(audiocdplugins SHARED)

target_sources(audiocdplugins PRIVATE
    audiocdencoder.cpp audiocdencoder.h
)
target_include_directories(audiocdplugins
    PRIVATE
        ${CMAKE_BINARY_DIR}
)
target_link_libraries(audiocdplugins
    PUBLIC
        KF${KF_MAJOR_VERSION}::KIOCore
)
if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(audiocdplugins PUBLIC KCddb6)
else()
    target_link_libraries(audiocdplugins PUBLIC KF5::Cddb)
endif()

generate_export_header(audiocdplugins 
    EXPORT_MACRO_NAME AUDIOCDPLUGINS_EXPORT
    DEPRECATED_MACRO_NAME AUDIOCDPLUGINS_EXPORT_DEPRECATED
    EXPORT_FILE_NAME audiocdplugins_export.h
)

set_target_properties(audiocdplugins PROPERTIES
    VERSION ${AUDIOCDPLUGINS_VERSION}
    SOVERSION ${AUDIOCDPLUGINS_SOVERSION}
)

install(TARGETS audiocdplugins ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/audiocdplugins_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/audiocdplugins_version.h
    audiocdencoder.h
    DESTINATION ${AUDIOCDPLUGINS_INSTALL_INCLUDEDIR}
    COMPONENT Devel
)

=== debian/changelog ===
audiocd-kio (4:23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:39:09 +0000

audiocd-kio (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:53:41 +0000

audiocd-kio (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libflac12t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 14:52:27 +0000

audiocd-kio (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:26:44 -0700

audiocd-kio (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:10:33 +0000

audiocd-kio (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:29:35 +0000

audiocd-kio (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:25:57 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                libasound2-dev,
                libcdparanoia-dev,
                libflac-dev,
-               libkf5cddb-dev (>= 4:23.08.1~),
-               libkf5compactdisc-dev (>= 4:23.08.1~),
+               libkf5cddb-dev (>= 4:23.08.5~),
+               libkf5compactdisc-dev (>= 4:23.08.5~),
                libkf5config-dev (>= 5.96.0~),
                libkf5doctools-dev (>= 5.96.0~),
                libkf5i18n-dev (>= 5.96.0~),

## audiocd-kio 24.08.2

=== debian/changelog ===
audiocd-kio (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Nov 2024 13:31:51 +0000

audiocd-kio (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.
  * Recommend systemsettings for the KCM, override corresponding lintian
    warning.
  * Switch to declarative KF6 debhelper build sequence.
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 24 Oct 2024 17:14:52 +0200

=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libasound2-dev,
               libcdparanoia-dev,
               libflac-dev,
               libkcddb6-dev (>= 4:5.1~),
               libkcompactdisc-dev (>= 4:24.08.2-1~),
               libkf6config-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kcmutils-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libogg-dev,
               libvorbis-dev,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio

Package: kio-audiocd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: lame,
            systemsettings,
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other
 formats.
 .
 This package is part of the KDE multimedia module.

Package: kio-audiocd-dev
Section: devel
Architecture: any
Depends: kio-audiocd (= ${binary:Version}), ${misc:Depends},
Description: development files for the audio CD KIO plugin
 This package contains development files for building plugins for the audio CD
 KIO plugin.
 .
 This package is part of the KDE multimedia module.

## audiocd-kio 24.12.0

=== debian/changelog ===
audiocd-kio (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing dependencies to the dev package.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Dec 2024 00:05:29 +0100

=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libasound2-dev,
               libcdparanoia-dev,
               libflac-dev,
               libkcddb6-dev (>= 4:5.1~),
               libkcompactdisc-dev (>= 4:24.08.2-1~),
               libkf6config-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kcmutils-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libogg-dev,
               libvorbis-dev,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/audiocd-kio.git

Package: kio-audiocd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: lame, systemsettings,
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other
 formats.
 .
 This package is part of the KDE multimedia module.

Package: kio-audiocd-dev
Section: devel
Architecture: any
Depends: kio-audiocd (= ${binary:Version}),
         libkcddb6-dev (>= 4:5.1~),
         libkf6kio-dev (>= 6.3.0~),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Description: development files for the audio CD KIO plugin
 This package contains development files for building plugins for the audio CD
 KIO plugin.
 .
 This package is part of the KDE multimedia module.

## audiocd-kio 24.12.1

=== debian/changelog ===
audiocd-kio (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:23:38 +0000

audiocd-kio (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:00:33 +0000

audiocd-kio (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:00:47 +0000

audiocd-kio (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 19:25:07 +0000

audiocd-kio (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:34:59 +0000

=== debian/control ===
Source: audiocd-kio
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libasound2-dev,
               libcdparanoia-dev,
               libflac-dev,
               libkcddb6-dev (>= 4:24.12.1~),
               libkcompactdisc-dev (>= 4:24.12.1~),
               libkf6config-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6kcmutils-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libogg-dev,
               libvorbis-dev,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/audiocd-kio

Package: kio-audiocd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: lame,
            systemsettings,
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other
 formats.
 .
 This package is part of the KDE multimedia module.

Package: kio-audiocd-dev
Section: devel
Architecture: any
Depends: kio-audiocd (= ${binary:Version}),
         ${misc:Depends},
Description: development files for the audio CD KIO plugin
 This package contains development files for building plugins for the audio CD
 KIO plugin.
 .
 This package is part of the KDE multimedia module.
